Chandan Rajendra | 30 Aug 16:44 2015
Picon

[PATCH] Abort tests on mkfs failure

When creating small Btrfs filesystem instances (i.e. filesystem size <= 1GiB),
mkfs.btrfs can fail if "data block size" does not match "metadata block
size". In such cases this commit aborts the test instead of letting it to
continue and report misleading results.

Signed-off-by: Chandan Rajendra <chandan <at> linux.vnet.ibm.com>
---
 tests/generic/027 | 3 ++-
 tests/generic/081 | 3 ++-
 tests/generic/085 | 3 ++-
 tests/generic/096 | 3 ++-
 tests/generic/102 | 3 ++-
 tests/generic/204 | 4 ++++
 tests/generic/226 | 3 ++-
 tests/generic/269 | 3 ++-
 tests/generic/270 | 3 ++-
 tests/generic/300 | 3 ++-
 10 files changed, 22 insertions(+), 9 deletions(-)

diff --git a/tests/generic/027 b/tests/generic/027
index d2e59d6..3aef914 100755
--- a/tests/generic/027
+++ b/tests/generic/027
 <at>  <at>  -65,7 +65,8  <at>  <at>  _require_scratch
 rm -f $seqres.full
 echo "Silence is golden"

-_scratch_mkfs_sized $((256 * 1024 * 1024)) >>$seqres.full 2>&1
+_scratch_mkfs_sized $((256 * 1024 * 1024)) >>$seqres.full 2>&1 \
+	|| _fail "mkfs failed"
(Continue reading)

jerryfunds5 | 30 Aug 04:16 2015

(unknown)

We Give Out Loans For 3% Interest Rate And We Offer Loans From $5,000 To $50,000,000.00, Are You Looking To
Buy A House Car Or Company Or Start Up A Truck Company or Buy A Truck Or Personal Loans, Email Us At
j.funds2000000 <at> inbox.lv  With Amount Needed And Phone Number.
--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

jerryfunds23 | 29 Aug 20:38 2015

(unknown)

We Give Out Loans For 3% Interest Rate And We Offer Loans From $5,000 To $50,000,000.00, Are You Looking To
Buy A House Car Or Company Or Start Up A Truck Company or Buy A Truck Or Personal Loans, Email Us At
j.funds2000000 <at> inbox.lv  With Amount Needed And Phone Number.
--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

online2130204 | 29 Aug 17:07 2015
Picon

DO YOU NEED A LOAN? BUSINESS OR PERSONAL,IF YES APPLY NOW

We Offer personal and business loan at 2% Interest Rate within 1 year to 10 years repayment duration. We
offer loan  to Individuals and Corporate Bodies. Our loan are well insured for maximum security is our
priority.for more info contact us via email: mavinicfastloan <at> gmail.com
--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Qing Chang | 28 Aug 19:46 2015
Picon

from: Qing Chang


Hiya linux

http://rachelbregman.com/safety.php?test=zuvmqt9ry4t7x1xedx

linux

changq <at> gmail.com

Sent from my iPhone
--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Vicky | 28 Aug 14:51 2015
Picon

1

What time can i call you?

--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

btrfs no space BTRFS: block rsv returned -28

Hi,

today i had again the no space situation while having the device mounted
with: enospc_debug

# btrfs filesystem df /vmbackup/
Data, single: total=18.54TiB, used=17.94TiB
System, DUP: total=32.00MiB, used=2.83MiB
Metadata, DUP: total=126.00GiB, used=99.45GiB
GlobalReserve, single: total=512.00MiB, used=0.00B

[180587.839969] use_block_rsv: 25370 callbacks suppressed
[180587.839975] ------------[ cut here ]------------
[180587.840009] WARNING: CPU: 8 PID: 22807 at
fs/btrfs/extent-tree.c:7539 btrfs_alloc_tree_block+0x431/0x4c0 [btrfs]()
[180587.840012] BTRFS: block rsv returned -28
[180587.840014] Modules linked in: dm_mod netconsole ipt_REJECT
nf_reject_ipv4 xt_multiport iptable_filter ip_tables x_tables
cpufreq_userspace cpufreq_stats cpufreq_powersave cpufreq_conservative
bonding ext2 usbhid coretemp loop ehci_pci sb_edac ehci_hcd edac_core
i2c_i801 usbcore i2c_core shpchp usb_common ipmi_si ipmi_msghandler
button btrfs lzo_compress raid0 raid456 async_raid6_recov async_memcpy
async_pq async_xor async_tx xor raid6_pq raid1 md_mod sg sd_mod aacraid
ahci i40e(O) libahci ixgbe vxlan ip6_udp_tunnel mdio udp_tunnel ptp pps_core
[180587.840073] CPU: 8 PID: 22807 Comm: kworker/u66:19 Tainted: G
 W  O    4.1.6+19-ph #1
[180587.840076] Hardware name: Supermicro X10DRH/X10DRH-IT, BIOS 1.0c
02/18/2015
[180587.840099] Workqueue: btrfs-endio-write btrfs_endio_write_helper
[btrfs]
(Continue reading)

Peng Tao | 26 Aug 10:16 2015

[PATCH-RFC-RESEND 0/9] NFS/NFSD: add NFSv42 CLONE operation support

[resend ccing linux-fsdevel list and dropping the two nfs cleanup patches,
 which were sent to nfs list separately.]

This patchset adds NFSv42 COPY support to nfs and nfsd. As suggested by Christoph,
it pulls btrfs BTRFS_IOC_CLONE/BTRFS_IOC_CLONE_RANGE ioctls to generic layer and
adds a new file operation to call down to file systems. Then the CLONE ioctl
is implemented for NFS and NFSD.

I took a slightly different approach from Anna's NFS42 COPY implementation
(http://www.spinics.net/lists/linux-nfs/msg53009.html) mainly because CLONE
has different requirements than COPY. And the main differences between the two are:
1. well, CLONE is supported rather than COPY.
2. vfs_file_clone_range() does not expect file systems to do data copy, and thus
no rw_verify_area() required.
3. clone does not expect partial success.
4. clone does not fall back to data copy if underlying storage does not support it.
5. no new system call required. We reuse existing BTRFS_IOC_CLONE/BTRFS_IOC_CLONE_RANGE
and make it generic to all file systems.

This overlaps with Anna's COPY work. We'll deal with the conflicts after figuring out
what to do with both patchsets.

Cheers,
Tao

Anna Schumaker (2):
  nfsd: Pass filehandle to nfs4_preprocess_stateid_op()
  NFSD: Implement the CLONE call

Peng Tao (7):
(Continue reading)

Prince | 25 Aug 14:43 2015

Good News !! Please Respond Swiftly

SAUDI ARABIA PRINCE ALWALEED BIN TALAL FINANCIAL DONATION OF $25,000,000 USD TO YOU

---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus

--
To unsubscribe from this list: send the line "unsubscribe linux-fsdevel" in
the body of a message to majordomo <at> vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Stefan Priebe | 22 Aug 19:29 2015

btrfs regression since 4.X kernel NULL pointer dereference

Hello,

today i experienced the following btrfs bug:

Aug 20 11:59:18 debian-build kernel: [  325.170036] BUG: unable to 
handle kernel NULL pointer dereference at 0000000000000330
Aug 20 11:59:18 debian-build kernel: [  325.170144] IP: 
[<ffffffff813204c0>] blk_get_backing_dev_info+0x10/0x20
Aug 20 11:59:18 debian-build kernel: [  325.170216] PGD 74f57067 PUD 
74f51067 PMD 0
Aug 20 11:59:18 debian-build kernel: [  325.170282] Oops: 0000 [#1] SMP
Aug 20 11:59:18 debian-build kernel: [  325.170330] Modules linked in: 
dm_mod netconsole xt_multiport iptable_filter ip_tables x_tab
les cpufreq_userspace cpufreq_stats cpufreq_powersave 
cpufreq_conservative ext2 loop shpchp i2c_piix4 i2c_core virtio_balloon 
acpi_c
pufreq button btrfs xor lzo_compress usbhid raid6_pq ata_generic sg 
sd_mod virtio_net virtio_scsi floppy uhci_hcd ehci_hcd ata_piix
usbcore usb_common virtio_pci
Aug 20 11:59:18 debian-build kernel: [  325.170783] CPU: 4 PID: 13323 
Comm: btrfs Not tainted 4.1.6+17-ph #1
Aug 20 11:59:18 debian-build kernel: [  325.170842] Hardware name: QEMU 
Standard PC (i440FX + PIIX, 1996), BIOS 
rel-1.8.1-0-g4adadbd-20150316_085822-nilsson.home.kraxel.org 04/01/2014
Aug 20 11:59:18 debian-build kernel: [  325.170952] task: 
ffff88022d6bbae0 ti: ffff8800748e0000 task.ti: ffff8800748e0000
Aug 20 11:59:18 debian-build kernel: [  325.171017] RIP: 
0010:[<ffffffff813204c0>]  [<ffffffff813204c0>] 
blk_get_backing_dev_info+0x10/0x20
Aug 20 11:59:18 debian-build kernel: [  325.171096] RSP: 
(Continue reading)

Kweh, Hock Leong | 21 Aug 13:34 2015
Picon

[PATCH v5 0/2] Enable capsule loader interface for efi firmware

From: "Kweh, Hock Leong" <hock.leong.kweh <at> intel.com>

Dear maintainers & communities,

This patchset is created on top of Matt's patchset:
1.)https://lkml.org/lkml/2014/10/7/390
"[PATCH 1/2] efi: Move efi_status_to_err() to efi.h"
2.)https://lkml.org/lkml/2014/10/7/391
"[PATCH 2/2] efi: Capsule update support"

It expose a misc char interface for user to upload the capsule binary and
calling efi_capsule_update() API to pass the binary to EFI firmware.

The steps to update efi firmware are:
1.) cat firmware.cap > /dev/efi_capsule_loader
2.) reboot

Any failed upload error message will be returned while doing "cat" through
Write() function call.

Tested the code with Intel Quark Galileo platform.

Thanks.

---
changelog v5:
* changed to new design without leveraging firmware_class API
* use misc_char device interface instead of sysfs
* error return through file Write() function call

(Continue reading)


Gmane